var querystring = require('querystring')
// args 1 手机号 2 短信内容
function main() {
    let content = payload.get().body?.toString()
    if (content.includes('%25')) {
        content = decodeURIComponent(decodeURIComponent(payload.get().body.toString()))
    }
    content = content.split('=').pop()
    let data = JSON.parse(content)
    if (Array.isArray(data)) {
        data = data[0]
    }

    // 发送状态回调
    if (data.user_receive_time) {
        //短信发送状态日志
        console.mod('Utils').fn('SMS').proc('sendStatusCallback').info(`[${data.mobile}] - status: ${data.report_status}`)
    }

    // 上行回复回调
    if (data.reply_time) {
        //短信上行回复日志
        console.mod('Utils').fn('SMS').proc('replyCallback').info(`[${data.mobile}] - message: ${data.text}`)
    }
    return ''
}